Skip to main content
POST
/
contacts
Create contact
curl --request POST \
  --url https://api.telli.com/v2/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "phoneNumber": "<string>",
  "externalId": "<string>",
  "externalUrl": "<string>",
  "salutation": "<string>",
  "timezoneIana": "<string>",
  "email": "<string>",
  "properties": [
    {
      "key": "<string>",
      "value": "<unknown>"
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "<unknown>",
  "externalId": "<string>",
  "externalUrl": "<string>",
  "salutation": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "phoneNumber": "<string>",
  "timezoneIana": "<string>",
  "email": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "properties": [
    {
      "key": "<string>",
      "dataType": "string",
      "value": "<unknown>",
      "label": "<string>",
      "options": [
        {
          "value": "<string>",
          "label": "<string>",
          "description": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Use your telli API key as the bearer token.

Body

application/json
firstName
string
required
Required string length: 1 - 50
lastName
string
required
Required string length: 1 - 50
phoneNumber
string
required
Required string length: 1 - 20
externalId
string | null
Minimum string length: 1
externalUrl
string<uri> | null
salutation
string | null
timezoneIana
string | null
email
string | null
properties
object[]

Response

OK

id
string<uuid>
required
type
any
required
externalId
string | null
required
externalUrl
string | null
required
salutation
string | null
required
firstName
string
required
lastName
string
required
phoneNumber
string
required
timezoneIana
string | null
required
email
string | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
properties
object[]
required